List projects, newest first
curl --request GET \
--url https://api.seomator.com/v1/projects \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.seomator.com/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.seomator.com/v1/projects"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"projects": [
{
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"domain": "<string>",
"country": "<string>",
"language": "<string>",
"description": "<string>",
"category": "<string>",
"businessType": "b2b_saas",
"products": [
"<string>"
],
"personas": [
"<string>"
],
"topicTerms": {
"product": [
"<string>"
],
"adjacent": [
"<string>"
],
"exclude": [
"<string>"
]
},
"createdAt": "<string>",
"summary": {
"tracking": {
"status": "off",
"country": "<string>",
"language": "<string>",
"runAt": "<string>",
"lastRunAt": "<string>"
},
"visibility": {
"named": 123,
"answers": 123
},
"comparison": {
"status": "comparable",
"current": {
"named": 123,
"answers": 123
},
"previous": {
"named": 123,
"answers": 123
},
"excludedAssistants": []
}
}
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}List projects, newest first
GET
/
v1
/
projects
List projects, newest first
curl --request GET \
--url https://api.seomator.com/v1/projects \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.seomator.com/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.seomator.com/v1/projects"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"projects": [
{
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"domain": "<string>",
"country": "<string>",
"language": "<string>",
"description": "<string>",
"category": "<string>",
"businessType": "b2b_saas",
"products": [
"<string>"
],
"personas": [
"<string>"
],
"topicTerms": {
"product": [
"<string>"
],
"adjacent": [
"<string>"
],
"exclude": [
"<string>"
]
},
"createdAt": "<string>",
"summary": {
"tracking": {
"status": "off",
"country": "<string>",
"language": "<string>",
"runAt": "<string>",
"lastRunAt": "<string>"
},
"visibility": {
"named": 123,
"answers": 123
},
"comparison": {
"status": "comparable",
"current": {
"named": 123,
"answers": 123
},
"previous": {
"named": 123,
"answers": 123
},
"excludedAssistants": []
}
}
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
Query Parameters
Required range:
1 <= x <= 100summary adds each project’s tracking state and its visibility over the last 7 days.
Available options:
summary